--- old/usr/src/pkg/manifests/developer-library-lint.mf	2014-04-11 13:24:07.160821624 +0100
+++ new/usr/src/pkg/manifests/developer-library-lint.mf	2014-04-11 13:24:07.168077176 +0100
@@ -23,6 +23,7 @@
 # Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/library/lint@$(PKGVERS)
@@ -32,67 +33,67 @@
 set name=info.classification value=org.opensolaris.category.2008:Development/C
 set name=variant.arch value=$(ARCH)
 dir path=lib
-dir path=lib/$(ARCH64)
+$(BUILD64)dir path=lib/$(ARCH64)
 dir path=usr group=sys
 dir path=usr/ccs
 dir path=usr/ccs/lib
-dir path=usr/ccs/lib/$(ARCH64)
+$(BUILD64)dir path=usr/ccs/lib/$(ARCH64)
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/scsi
-dir path=usr/lib/scsi/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/$(ARCH64)
 dir path=usr/xpg4
 dir path=usr/xpg4/lib
-dir path=usr/xpg4/lib/$(ARCH64)
-file path=lib/$(ARCH64)/llib-ladm.ln
-file path=lib/$(ARCH64)/llib-laio.ln
-file path=lib/$(ARCH64)/llib-lbsm.ln
-file path=lib/$(ARCH64)/llib-lc.ln
-file path=lib/$(ARCH64)/llib-lc_db.ln
-file path=lib/$(ARCH64)/llib-lcontract.ln
-file path=lib/$(ARCH64)/llib-lcryptoutil.ln
-file path=lib/$(ARCH64)/llib-lctf.ln
-file path=lib/$(ARCH64)/llib-lcurses.ln
-file path=lib/$(ARCH64)/llib-ldevice.ln
-file path=lib/$(ARCH64)/llib-ldevid.ln
-file path=lib/$(ARCH64)/llib-ldevinfo.ln
-file path=lib/$(ARCH64)/llib-ldl.ln
-file path=lib/$(ARCH64)/llib-ldladm.ln
-file path=lib/$(ARCH64)/llib-ldlpi.ln
-file path=lib/$(ARCH64)/llib-ldoor.ln
-file path=lib/$(ARCH64)/llib-lefi.ln
-file path=lib/$(ARCH64)/llib-lelf.ln
-$(i386_ONLY)file path=lib/$(ARCH64)/llib-lfdisk.ln
-file path=lib/$(ARCH64)/llib-lgen.ln
-file path=lib/$(ARCH64)/llib-lintl.ln
-file path=lib/$(ARCH64)/llib-lkmf.ln
-file path=lib/$(ARCH64)/llib-lkmfberder.ln
-file path=lib/$(ARCH64)/llib-lkstat.ln
-file path=lib/$(ARCH64)/llib-lmd.ln
-file path=lib/$(ARCH64)/llib-lmd5.ln
-file path=lib/$(ARCH64)/llib-lnsl.ln
-file path=lib/$(ARCH64)/llib-lnvpair.ln
-file path=lib/$(ARCH64)/llib-lpam.ln
-file path=lib/$(ARCH64)/llib-lpthread.ln
-file path=lib/$(ARCH64)/llib-lrcm.ln
-file path=lib/$(ARCH64)/llib-lresolv.ln
-file path=lib/$(ARCH64)/llib-lrpcsvc.ln
-file path=lib/$(ARCH64)/llib-lrt.ln
-file path=lib/$(ARCH64)/llib-lrtld_db.ln
-file path=lib/$(ARCH64)/llib-lscf.ln
-file path=lib/$(ARCH64)/llib-lsec.ln
-file path=lib/$(ARCH64)/llib-lsecdb.ln
-file path=lib/$(ARCH64)/llib-lsendfile.ln
-file path=lib/$(ARCH64)/llib-lsocket.ln
-file path=lib/$(ARCH64)/llib-lsysevent.ln
-file path=lib/$(ARCH64)/llib-ltermcap.ln
-file path=lib/$(ARCH64)/llib-lthread.ln
-file path=lib/$(ARCH64)/llib-ltsnet.ln
-file path=lib/$(ARCH64)/llib-ltsol.ln
-file path=lib/$(ARCH64)/llib-lumem.ln
-file path=lib/$(ARCH64)/llib-luuid.ln
-$(i386_ONLY)file path=lib/$(ARCH64)/llib-luutil.ln
-file path=lib/$(ARCH64)/llib-lxnet.ln
+$(BUILD64)dir path=usr/xpg4/lib/$(ARCH64)
+$(BUILD64)file path=lib/$(ARCH64)/llib-ladm.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-laio.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lbsm.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lc.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lc_db.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lcontract.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lcryptoutil.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lctf.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lcurses.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldevice.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldevid.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldevinfo.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldl.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldladm.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldlpi.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ldoor.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lefi.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lelf.ln
+$(i386_BUILD64)file path=lib/$(ARCH64)/llib-lfdisk.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lgen.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lintl.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lkmf.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lkmfberder.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lkstat.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lmd.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lmd5.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lnsl.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lnvpair.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lpam.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lpthread.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lrcm.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lresolv.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lrpcsvc.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lrt.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lrtld_db.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lscf.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lsec.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lsecdb.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lsendfile.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lsocket.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lsysevent.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ltermcap.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lthread.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ltsnet.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-ltsol.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lumem.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-luuid.ln
+$(i386_BUILD64)file path=lib/$(ARCH64)/llib-luutil.ln
+$(BUILD64)file path=lib/$(ARCH64)/llib-lxnet.ln
 file path=lib/llib-ladm
 file path=lib/llib-ladm.ln
 file path=lib/llib-laio
@@ -191,54 +192,54 @@
 file path=lib/llib-luuid.ln
 file path=lib/llib-lxnet
 file path=lib/llib-lxnet.ln
-$(i386_ONLY)file path=usr/lib/$(ARCH64)/crt1.o
-file path=usr/lib/$(ARCH64)/crti.o
-file path=usr/lib/$(ARCH64)/crtn.o
-$(i386_ONLY)file path=usr/lib/$(ARCH64)/gcrt1.o
-file path=usr/lib/$(ARCH64)/llib-ladutils.ln
-file path=usr/lib/$(ARCH64)/llib-lbsdmalloc.ln
-file path=usr/lib/$(ARCH64)/llib-lcfgadm.ln
-file path=usr/lib/$(ARCH64)/llib-lcommputil.ln
-file path=usr/lib/$(ARCH64)/llib-lcrypt.ln
-file path=usr/lib/$(ARCH64)/llib-lexacct.ln
-file path=usr/lib/$(ARCH64)/llib-lform.ln
-file path=usr/lib/$(ARCH64)/llib-lfstyp.ln
-file path=usr/lib/$(ARCH64)/llib-lgss.ln
-file path=usr/lib/$(ARCH64)/llib-lhotplug.ln
-file path=usr/lib/$(ARCH64)/llib-lidmap.ln
-file path=usr/lib/$(ARCH64)/llib-lipmi.ln
-file path=usr/lib/$(ARCH64)/llib-lipp.ln
-file path=usr/lib/$(ARCH64)/llib-lkvm.ln
-file path=usr/lib/$(ARCH64)/llib-lldap.ln
-file path=usr/lib/$(ARCH64)/llib-llgrp.ln
-file path=usr/lib/$(ARCH64)/llib-lmail.ln
-file path=usr/lib/$(ARCH64)/llib-lmalloc.ln
-file path=usr/lib/$(ARCH64)/llib-lmapmalloc.ln
-file path=usr/lib/$(ARCH64)/llib-lmenu.ln
-file path=usr/lib/$(ARCH64)/llib-lmtmalloc.ln
-file path=usr/lib/$(ARCH64)/llib-lnls.ln
-file path=usr/lib/$(ARCH64)/llib-lpanel.ln
-file path=usr/lib/$(ARCH64)/llib-lpasswdutil.ln
-file path=usr/lib/$(ARCH64)/llib-lpkcs11.ln
-file path=usr/lib/$(ARCH64)/llib-lproject.ln
-file path=usr/lib/$(ARCH64)/llib-lreparse.ln
-file path=usr/lib/$(ARCH64)/llib-lsasl.ln
-file path=usr/lib/$(ARCH64)/llib-lsched.ln
-file path=usr/lib/$(ARCH64)/llib-lsctp.ln
-file path=usr/lib/$(ARCH64)/llib-lshare.ln
-file path=usr/lib/$(ARCH64)/llib-lsip.ln
-file path=usr/lib/$(ARCH64)/llib-lsldap.ln
-file path=usr/lib/$(ARCH64)/llib-lsmbios.ln
-$(sparc_ONLY)file path=usr/lib/$(ARCH64)/llib-lv12n.ln
-file path=usr/lib/$(ARCH64)/llib-lvolmgt.ln
-file path=usr/lib/$(ARCH64)/llib-lwrap.ln
-file path=usr/lib/$(ARCH64)/llib-lzoneinfo.ln
-file path=usr/lib/$(ARCH64)/values-Xa.o
-file path=usr/lib/$(ARCH64)/values-Xc.o
-file path=usr/lib/$(ARCH64)/values-Xs.o
-file path=usr/lib/$(ARCH64)/values-Xt.o
-file path=usr/lib/$(ARCH64)/values-xpg4.o
-file path=usr/lib/$(ARCH64)/values-xpg6.o
+$(i386_BUILD64)file path=usr/lib/$(ARCH64)/crt1.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/crti.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/crtn.o
+$(i386_BUILD64)file path=usr/lib/$(ARCH64)/gcrt1.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-ladutils.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lbsdmalloc.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lcfgadm.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lcommputil.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lcrypt.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lexacct.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lform.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lfstyp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lgss.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lhotplug.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lidmap.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lipmi.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lipp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lkvm.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lldap.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-llgrp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lmail.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lmalloc.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lmapmalloc.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lmenu.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lmtmalloc.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lnls.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpanel.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpasswdutil.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lpkcs11.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lproject.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lreparse.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsasl.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsched.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsctp.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lshare.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsip.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsldap.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lsmbios.ln
+$(sparc_BUILD64)file path=usr/lib/$(ARCH64)/llib-lv12n.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lvolmgt.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lwrap.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/llib-lzoneinfo.ln
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-Xa.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-Xc.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-Xs.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-Xt.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-xpg4.o
+$(BUILD64)file path=usr/lib/$(ARCH64)/values-xpg6.o
 $(i386_ONLY)file path=usr/lib/crt1.o
 file path=usr/lib/crti.o
 file path=usr/lib/crtn.o
@@ -318,9 +319,9 @@
 file path=usr/lib/llib-lwrap.ln
 file path=usr/lib/llib-lzoneinfo
 file path=usr/lib/llib-lzoneinfo.ln
-file path=usr/lib/scsi/$(ARCH64)/llib-lscsi.ln
-file path=usr/lib/scsi/$(ARCH64)/llib-lses.ln
-file path=usr/lib/scsi/$(ARCH64)/llib-lsmp.ln
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/llib-lscsi.ln
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/llib-lses.ln
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/llib-lsmp.ln
 file path=usr/lib/scsi/llib-lscsi
 file path=usr/lib/scsi/llib-lscsi.ln
 file path=usr/lib/scsi/llib-lses
@@ -333,7 +334,7 @@
 file path=usr/lib/values-Xt.o
 file path=usr/lib/values-xpg4.o
 file path=usr/lib/values-xpg6.o
-file path=usr/xpg4/lib/$(ARCH64)/llib-lcurses.ln
+$(BUILD64)file path=usr/xpg4/lib/$(ARCH64)/llib-lcurses.ln
 file path=usr/xpg4/lib/llib-lcurses
 file path=usr/xpg4/lib/llib-lcurses.ln
 legacy pkg=SUNWarc \
@@ -343,41 +344,41 @@
     name="Lint Libraries (root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=lib/$(ARCH64)/llib-lposix4.ln target=./llib-lrt.ln
-link path=lib/$(ARCH64)/llib-ltermlib.ln target=./llib-lcurses.ln
+$(BUILD64)link path=lib/$(ARCH64)/llib-lposix4.ln target=./llib-lrt.ln
+$(BUILD64)link path=lib/$(ARCH64)/llib-ltermlib.ln target=./llib-lcurses.ln
 link path=lib/llib-lposix4 target=./llib-lrt
 link path=lib/llib-lposix4.ln target=./llib-lrt.ln
 link path=lib/llib-ltermlib target=./llib-lcurses
 link path=lib/llib-ltermlib.ln target=./llib-lcurses.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-lcurses.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-lcurses.ln \
     target=../../../../lib/$(ARCH64)/llib-lcurses.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-lform.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-lform.ln \
     target=../../../lib/$(ARCH64)/llib-lform.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-lgen.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-lgen.ln \
     target=../../../../lib/$(ARCH64)/llib-lgen.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-ll.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-ll.ln \
     target=../../../lib/$(ARCH64)/llib-ll.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-lmenu.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-lmenu.ln \
     target=../../../lib/$(ARCH64)/llib-lmenu.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-lpanel.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-lpanel.ln \
     target=../../../lib/$(ARCH64)/llib-lpanel.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-ltermcap.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-ltermcap.ln \
     target=../../../../lib/$(ARCH64)/llib-ltermcap.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-ltermlib.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-ltermlib.ln \
     target=../../../../lib/$(ARCH64)/llib-lcurses.ln
-link path=usr/ccs/lib/$(ARCH64)/llib-ly.ln \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/llib-ly.ln \
     target=../../../lib/$(ARCH64)/llib-ly.ln
-link path=usr/ccs/lib/$(ARCH64)/values-Xa.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-Xa.o \
     target=../../../lib/$(ARCH64)/values-Xa.o
-link path=usr/ccs/lib/$(ARCH64)/values-Xc.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-Xc.o \
     target=../../../lib/$(ARCH64)/values-Xc.o
-link path=usr/ccs/lib/$(ARCH64)/values-Xs.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-Xs.o \
     target=../../../lib/$(ARCH64)/values-Xs.o
-link path=usr/ccs/lib/$(ARCH64)/values-Xt.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-Xt.o \
     target=../../../lib/$(ARCH64)/values-Xt.o
-link path=usr/ccs/lib/$(ARCH64)/values-xpg4.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-xpg4.o \
     target=../../../lib/$(ARCH64)/values-xpg4.o
-link path=usr/ccs/lib/$(ARCH64)/values-xpg6.o \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/values-xpg6.o \
     target=../../../lib/$(ARCH64)/values-xpg6.o
 link path=usr/ccs/lib/llib-lcurses target=../../../lib/llib-lcurses
 link path=usr/ccs/lib/llib-lcurses.ln target=../../../lib/llib-lcurses.ln
@@ -399,91 +400,91 @@
 link path=usr/ccs/lib/values-Xt.o target=../../lib/values-Xt.o
 link path=usr/ccs/lib/values-xpg4.o target=../../lib/values-xpg4.o
 link path=usr/ccs/lib/values-xpg6.o target=../../lib/values-xpg6.o
-link path=usr/lib/$(ARCH64)/llib-ladm.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ladm.ln \
     target=../../../lib/$(ARCH64)/llib-ladm.ln
-link path=usr/lib/$(ARCH64)/llib-laio.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-laio.ln \
     target=../../../lib/$(ARCH64)/llib-laio.ln
-link path=usr/lib/$(ARCH64)/llib-lbsm.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lbsm.ln \
     target=../../../lib/$(ARCH64)/llib-lbsm.ln
-link path=usr/lib/$(ARCH64)/llib-lc.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lc.ln \
     target=../../../lib/$(ARCH64)/llib-lc.ln
-link path=usr/lib/$(ARCH64)/llib-lcontract.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lcontract.ln \
     target=../../../lib/$(ARCH64)/llib-lcontract.ln
-link path=usr/lib/$(ARCH64)/llib-lctf.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lctf.ln \
     target=../../../lib/$(ARCH64)/llib-lctf.ln
-link path=usr/lib/$(ARCH64)/llib-lcurses.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lcurses.ln \
     target=../../../lib/$(ARCH64)/llib-lcurses.ln
-link path=usr/lib/$(ARCH64)/llib-ldevice.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ldevice.ln \
     target=../../../lib/$(ARCH64)/llib-ldevice.ln
-link path=usr/lib/$(ARCH64)/llib-ldevid.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ldevid.ln \
     target=../../../lib/$(ARCH64)/llib-ldevid.ln
-link path=usr/lib/$(ARCH64)/llib-ldevinfo.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ldevinfo.ln \
     target=../../../lib/$(ARCH64)/llib-ldevinfo.ln
-link path=usr/lib/$(ARCH64)/llib-ldl.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ldl.ln \
     target=../../../lib/$(ARCH64)/llib-ldl.ln
-link path=usr/lib/$(ARCH64)/llib-ldoor.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ldoor.ln \
     target=../../../lib/$(ARCH64)/llib-ldoor.ln
-link path=usr/lib/$(ARCH64)/llib-lefi.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lefi.ln \
     target=../../../lib/$(ARCH64)/llib-lefi.ln
-link path=usr/lib/$(ARCH64)/llib-lelf.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lelf.ln \
     target=../../../lib/$(ARCH64)/llib-lelf.ln
-$(i386_ONLY)link path=usr/lib/$(ARCH64)/llib-lfdisk.ln \
+$(i386_BUILD64)link path=usr/lib/$(ARCH64)/llib-lfdisk.ln \
     target=../../../lib/$(ARCH64)/llib-lfdisk.ln
-link path=usr/lib/$(ARCH64)/llib-lgen.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lgen.ln \
     target=../../../lib/$(ARCH64)/llib-lgen.ln
-link path=usr/lib/$(ARCH64)/llib-lintl.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lintl.ln \
     target=../../../lib/$(ARCH64)/llib-lintl.ln
-link path=usr/lib/$(ARCH64)/llib-lkstat.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lkstat.ln \
     target=../../../lib/$(ARCH64)/llib-lkstat.ln
-link path=usr/lib/$(ARCH64)/llib-lmd5.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lmd5.ln \
     target=../../../lib/$(ARCH64)/llib-lmd5.ln
-link path=usr/lib/$(ARCH64)/llib-lnsl.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lnsl.ln \
     target=../../../lib/$(ARCH64)/llib-lnsl.ln
-link path=usr/lib/$(ARCH64)/llib-lnvpair.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lnvpair.ln \
     target=../../../lib/$(ARCH64)/llib-lnvpair.ln
-link path=usr/lib/$(ARCH64)/llib-lpam.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lpam.ln \
     target=../../../lib/$(ARCH64)/llib-lpam.ln
-link path=usr/lib/$(ARCH64)/llib-lposix4.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lposix4.ln \
     target=../../../lib/$(ARCH64)/llib-lrt.ln
-link path=usr/lib/$(ARCH64)/llib-lpthread.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lpthread.ln \
     target=../../../lib/$(ARCH64)/llib-lpthread.ln
-link path=usr/lib/$(ARCH64)/llib-lresolv.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lresolv.ln \
     target=../../../lib/$(ARCH64)/llib-lresolv.ln
-link path=usr/lib/$(ARCH64)/llib-lrpcsvc.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lrpcsvc.ln \
     target=../../../lib/$(ARCH64)/llib-lrpcsvc.ln
-link path=usr/lib/$(ARCH64)/llib-lrt.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lrt.ln \
     target=../../../lib/$(ARCH64)/llib-lrt.ln
-link path=usr/lib/$(ARCH64)/llib-lrtld_db.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lrtld_db.ln \
     target=../../../lib/$(ARCH64)/llib-lrtld_db.ln
-link path=usr/lib/$(ARCH64)/llib-lscf.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lscf.ln \
     target=../../../lib/$(ARCH64)/llib-lscf.ln
-link path=usr/lib/$(ARCH64)/llib-lsec.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lsec.ln \
     target=../../../lib/$(ARCH64)/llib-lsec.ln
-link path=usr/lib/$(ARCH64)/llib-lsecdb.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lsecdb.ln \
     target=../../../lib/$(ARCH64)/llib-lsecdb.ln
-link path=usr/lib/$(ARCH64)/llib-lsendfile.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lsendfile.ln \
     target=../../../lib/$(ARCH64)/llib-lsendfile.ln
-link path=usr/lib/$(ARCH64)/llib-lsocket.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lsocket.ln \
     target=../../../lib/$(ARCH64)/llib-lsocket.ln
-link path=usr/lib/$(ARCH64)/llib-lsysevent.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lsysevent.ln \
     target=../../../lib/$(ARCH64)/llib-lsysevent.ln
-link path=usr/lib/$(ARCH64)/llib-ltermcap.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ltermcap.ln \
     target=../../../lib/$(ARCH64)/llib-ltermcap.ln
-link path=usr/lib/$(ARCH64)/llib-ltermlib.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ltermlib.ln \
     target=../../../lib/$(ARCH64)/llib-lcurses.ln
-link path=usr/lib/$(ARCH64)/llib-lthread.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lthread.ln \
     target=../../../lib/$(ARCH64)/llib-lthread.ln
-link path=usr/lib/$(ARCH64)/llib-lthread_db.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lthread_db.ln \
     target=../../../lib/$(ARCH64)/llib-lc_db.ln
-link path=usr/lib/$(ARCH64)/llib-ltsnet.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ltsnet.ln \
     target=../../../lib/$(ARCH64)/llib-ltsnet.ln
-link path=usr/lib/$(ARCH64)/llib-ltsol.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-ltsol.ln \
     target=../../../lib/$(ARCH64)/llib-ltsol.ln
-link path=usr/lib/$(ARCH64)/llib-lumem.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lumem.ln \
     target=../../../lib/$(ARCH64)/llib-lumem.ln
-link path=usr/lib/$(ARCH64)/llib-luuid.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-luuid.ln \
     target=../../../lib/$(ARCH64)/llib-luuid.ln
-link path=usr/lib/$(ARCH64)/llib-lxnet.ln \
+$(BUILD64)link path=usr/lib/$(ARCH64)/llib-lxnet.ln \
     target=../../../lib/$(ARCH64)/llib-lxnet.ln
 link path=usr/lib/llib-ladm target=../../lib/llib-ladm
 link path=usr/lib/llib-ladm.ln target=../../lib/llib-ladm.ln
--- old/usr/src/pkg/manifests/developer-library-profiled-libc.mf	2014-04-11 13:24:07.373809581 +0100
+++ new/usr/src/pkg/manifests/developer-library-profiled-libc.mf	2014-04-11 13:24:07.380725716 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/library/profiled-libc@$(PKGVERS)
@@ -33,14 +34,14 @@
 dir path=usr group=sys
 dir path=usr/lib
 dir path=usr/lib/libp
-dir path=usr/lib/libp/$(ARCH64)
+$(BUILD64)dir path=usr/lib/libp/$(ARCH64)
 legacy pkg=SUNWdpl \
     desc="system libraries compiled with profiling for software development performance measurement" \
     name="Developer Profiled Libraries"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
-link path=usr/lib/libp/$(ARCH64)/libc.so.1 \
+$(BUILD64)link path=usr/lib/libp/$(ARCH64)/libc.so.1 \
     target=../../../../lib/$(ARCH64)/libc.so.1
 link path=usr/lib/libp/32 target=.
-link path=usr/lib/libp/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/libp/64 target=$(ARCH64)
 link path=usr/lib/libp/libc.so.1 target=../../../lib/libc.so.1
--- old/usr/src/pkg/manifests/developer-linker.mf	2014-04-11 13:24:07.567354918 +0100
+++ new/usr/src/pkg/manifests/developer-linker.mf	2014-04-11 13:24:07.574382133 +0100
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Andrew Stormont.
 #
 
 set name=pkg.fmri value=pkg:/developer/linker@$(PKGVERS)
@@ -33,18 +34,18 @@
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/bin/$(ARCH32)
-dir path=usr/bin/$(ARCH64)
+$(BUILD64)dir path=usr/bin/$(ARCH64)
 dir path=usr/ccs
 dir path=usr/ccs/bin
-dir path=usr/ccs/bin/$(ARCH64)
+$(BUILD64)dir path=usr/ccs/bin/$(ARCH64)
 dir path=usr/ccs/lib
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/abi
 dir path=usr/lib/ld
-dir path=usr/lib/ld/$(ARCH64)
+$(BUILD64)dir path=usr/lib/ld/$(ARCH64)
 dir path=usr/lib/link_audit
-dir path=usr/lib/link_audit/$(ARCH64)
+$(BUILD64)dir path=usr/lib/link_audit/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man1
 dir path=usr/share/man/man4
@@ -52,14 +53,14 @@
 $(i386_ONLY)file path=usr/bin/$(ARCH32)/plimit mode=0555
 file path=usr/bin/$(ARCH32)/strings mode=0555
 file path=usr/bin/$(ARCH32)/truss mode=0555
-file path=usr/bin/$(ARCH64)/elfwrap mode=0555
-file path=usr/bin/$(ARCH64)/gcore mode=0555
-file path=usr/bin/$(ARCH64)/ld mode=0755
-file path=usr/bin/$(ARCH64)/ldd mode=0555
-file path=usr/bin/$(ARCH64)/plimit mode=0555
-file path=usr/bin/$(ARCH64)/pvs mode=0555
-file path=usr/bin/$(ARCH64)/strings mode=0555
-file path=usr/bin/$(ARCH64)/truss mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/elfwrap mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/gcore mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/ld mode=0755
+$(BUILD64)file path=usr/bin/$(ARCH64)/ldd mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/plimit mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/pvs mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/strings mode=0555
+$(BUILD64)file path=usr/bin/$(ARCH64)/truss mode=0555
 file path=usr/bin/ctags mode=0555
 file path=usr/bin/elfsign mode=0555
 file path=usr/bin/elfwrap mode=0555
@@ -71,8 +72,8 @@
 file path=usr/bin/regcmp mode=0555
 file path=usr/bin/sotruss mode=0755
 file path=usr/bin/whocalls mode=0755
-file path=usr/lib/$(ARCH64)/lddstub mode=0555
-file path=usr/lib/$(ARCH64)/libldstab.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/lddstub mode=0555
+$(BUILD64)file path=usr/lib/$(ARCH64)/libldstab.so.1
 file path=usr/lib/abi/spec2map mode=0755
 file path=usr/lib/abi/spec2trace mode=0755
 file path=usr/lib/ld/map.above4G mode=0444
@@ -87,9 +88,9 @@
 file path=usr/lib/ld/map.pagealign mode=0444
 file path=usr/lib/lddstub mode=0555
 file path=usr/lib/libldstab.so.1
-file path=usr/lib/link_audit/$(ARCH64)/ldprof.so.1
-file path=usr/lib/link_audit/$(ARCH64)/truss.so.1
-file path=usr/lib/link_audit/$(ARCH64)/who.so.1
+$(BUILD64)file path=usr/lib/link_audit/$(ARCH64)/ldprof.so.1
+$(BUILD64)file path=usr/lib/link_audit/$(ARCH64)/truss.so.1
+$(BUILD64)file path=usr/lib/link_audit/$(ARCH64)/who.so.1
 file path=usr/lib/link_audit/ldprof.so.1
 file path=usr/lib/link_audit/truss.so.1
 file path=usr/lib/link_audit/who.so.1
@@ -121,12 +122,12 @@
 license lic_CDDL license=lic_CDDL
 license lic_OSBL license=lic_OSBL
 license lic_OSBL_preamble license=lic_OSBL_preamble
-link path=usr/ccs/bin/$(ARCH64)/ld target=../../../bin/$(ARCH64)/ld
+$(BUILD64)link path=usr/ccs/bin/$(ARCH64)/ld target=../../../bin/$(ARCH64)/ld
 link path=usr/ccs/bin/ld target=../../bin/ld
 link path=usr/ccs/bin/regcmp target=../../bin/regcmp
 link path=usr/ccs/lib/link_audit target=../../lib/link_audit
-link path=usr/lib/ld/$(ARCH64)/map.above4G target=../map.above4G
-link path=usr/lib/ld/$(ARCH64)/map.below4G target=../map.below4G
-link path=usr/lib/ld/$(ARCH64)/map.default target=../map.default
+$(BUILD64)link path=usr/lib/ld/$(ARCH64)/map.above4G target=../map.above4G
+$(BUILD64)link path=usr/lib/ld/$(ARCH64)/map.below4G target=../map.below4G
+$(BUILD64)link path=usr/lib/ld/$(ARCH64)/map.default target=../map.default
 link path=usr/lib/link_audit/32 target=.
-link path=usr/lib/link_audit/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/link_audit/64 target=$(ARCH64)
